Bug 1310609 - python-debug: nothing provides python2-debug
python-debug: nothing provides python2-debug
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 05:58 EST by Jakub Dorňák
Modified: 2017-01-11 09:10 EST (History)
14 users (show)

See Also:
Fixed In Version: python2-2.7.12-9.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 09:10:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2016-02-22 05:58:14 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-debug. This can be accomplished with a virtual provides or by changing the subpackage layout so that there are python2-debug and python3-debug subpackages.

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Petr Viktorin 2016-02-22 06:25:44 EST
I don't think that rule applies here, since there's no "debug" module.

But it would be nice to have.
Comment 2 Thomas Spura 2016-02-22 14:03:48 EST
It would also be nice to rename the python package fully to python2 and using the %python_provide macro for all (sub-)packages.
Comment 3 Fedora End Of Life 2016-11-24 10:41:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Charalampos Stratakis 2016-11-28 10:37:48 EST
Still valid
Comment 6 Fedora Admin XMLRPC Client 2017-01-10 13:48:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Charalampos Stratakis 2017-01-11 09:10:27 EST
This is now fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.